NetModule

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ocap.hn
Interface NetModule

All Known Subinterfaces:
  ContentManagementModule, ContentServer, RemoteMediaRendererModule, RemoteMediaStorage, RemoteRecordingManager

    public interface NetModule

NetModule is an abstraction of functionality that is provided by a `Device`. It is a group of related actions. A NetModule is always associated with a homenetwork `Device`. Application may monitor a NetModule's status by subscribing as a listener to this NetModule.

Field Summary
`static String` | `CONTENT_LIST` A constant indicating content listing NetModule.
`static String` | `CONTENT_MANAGER` A constant indicating content manager NetModule.
`static String` | `CONTENT_RENDERER` A constant indicating content renderer NetModule.
`static String` | `CONTENT_SERVER` A constant indicating content server NetModule.
`static String` | `PROP_CONTROL_URL` A constant providing URL for NetModule control.
`static String` | `PROP_DESCRIPTION_URL` A constant providing URL for NetModule description.
`static String` | `PROP_EventSub_URL` A constant providing URL for NetModule eventing.
`static String` | `PROP_NETMODULE_ID` A constant indicating NetModuleID.

Method Summary
`void` | `addNetModuleEventListener(NetModuleEventListener listener)` Adds a NetModuleEventListener instance to this NetModule.
`Device` | `getDevice()` Returns the device that provides this NetModule.
`Enumeration` | `getKeys()` Returns the property keys supported by this NetModule.
`String` | `getNetModuleId()` Returns the id of this NetModule, which is unique within the device.
`String` | `getNetModuleType()` Returns the type of this NetModule.
`String` | `getProperty(String key)` Returns the property value for specified key.
`void` | `removeNetModuleEventListener(NetModuleEventListener listener)` Removes a NetModuleEventListener instance from this NetModule.

Field Detail

### CONTENT_LIST

    static final String CONTENT_LIST

  A constant indicating content listing NetModule.

  See Also:
    Constant Field Values

### CONTENT_MANAGER

    static final String CONTENT_MANAGER

  A constant indicating content manager NetModule.

  See Also:
    Constant Field Values

### CONTENT_RENDERER

    static final String CONTENT_RENDERER

  A constant indicating content renderer NetModule.

  See Also:
    Constant Field Values

### CONTENT_SERVER

    static final String CONTENT_SERVER

  A constant indicating content server NetModule.

  See Also:
    Constant Field Values

### PROP_NETMODULE_ID

    static final String PROP_NETMODULE_ID

  A constant indicating NetModuleID.

  See Also:
    Constant Field Values

### PROP_DESCRIPTION_URL

    static final String PROP_DESCRIPTION_URL

  A constant providing URL for NetModule description.

  See Also:
    Constant Field Values

### PROP_CONTROL_URL

    static final String PROP_CONTROL_URL

  A constant providing URL for NetModule control.

  See Also:
    Constant Field Values

### PROP_EventSub_URL

    static final String PROP_EventSub_URL

  A constant providing URL for NetModule eventing.

  See Also:
    Constant Field Values

Method Detail

### getDevice

    Device getDevice()

  Returns the device that provides this NetModule.

  Returns:
    device that offers this NetModule

### getKeys

    Enumeration getKeys()

  Returns the property keys supported by this NetModule.

  Returns:
    An enumeration of String object representing property keys for this NetModule

### getProperty

    String getProperty(String key)

  Returns the property value for specified key.

  Parameters:
    `key` - specified property key
  Returns:
    property value for specified key

### getNetModuleType

    String getNetModuleType()

  Returns the type of this NetModule. The allowed types are defined as constant field in `NetModule`, for example, CONTENT_MANAGER, CONTENT_LIST.

  Returns:
    type of this NetModule

### getNetModuleId

    String getNetModuleId()

  Returns the id of this NetModule, which is unique within the device. An example could be, ContentListing1.

  Returns:
    id of this NetModule

### addNetModuleEventListener

    void addNetModuleEventListener(NetModuleEventListener listener)

  Adds a NetModuleEventListener instance to this NetModule. If the listener passed in is already registered with this NetModule, this method does nothing.

  Parameters:
    `listener` - a NetModuleEventListener instance to be notified of NetModuleEvents.

### removeNetModuleEventListener

    void removeNetModuleEventListener(NetModuleEventListener listener)

  Removes a NetModuleEventListener instance from this NetModule. If the specified instance is not registered with this NetModule, this method does nothing.

  Parameters:
    `listener` - a NetModuleEventListener instance to be removed from this NetModule.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD